Module | Sequel::Plugins::Caching::ClassMethods
In: | lib/sequel/plugins/caching.rb

### Methods

inherited set_cache_ttl

### Attributes

cache_ignore_exceptions | [R] | If true, ignores exceptions when gettings cached records (the memcached API).
cache_store | [R] | The cache store object for the model, which should implement the Ruby-Memcache (or memcached) API
cache_ttl | [R] | The time to live for the cache store, in seconds.

### Public Instance methods

inherited(subclass)

Copy the necessary class instance variables to the subclass.

[Source]

        # File lib/sequel/plugins/caching.rb, line 51
    51:         def inherited(subclass)
    52:           super
    53:           store = @cache_store
    54:           ttl = @cache_ttl
    55:           cache_ignore_exceptions = @cache_ignore_exceptions
    56:           subclass.instance_eval do
    57:             @cache_store = store
    58:             @cache_ttl = ttl
    59:             @cache_ignore_exceptions = cache_ignore_exceptions
    60:           end
    61:         end

set_cache_ttl(ttl)

Set the time to live for the cache store, in seconds (default is 3600, # so 1 hour).

[Source]

        # File lib/sequel/plugins/caching.rb, line 46
    46:         def set_cache_ttl(ttl)
    47:           @cache_ttl = ttl
    48:         end

[Validate]